%define _legacy_common_support 1

%global 	commit 72d2a6f1a412298cbeae612c184d5d876f0ddf33
%global 	shortcommit %(c=%{commit}; echo ${c:0:7})

Name: 		sniproxy
Version: 	0.6.0
Release: 	%mkrel 3
Summary: 	Transparent TLS proxy
Group: 		System/Servers
License: 	BSD
URL: 		https://github.com/dlundquist/sniproxy
Source0: 	https://github.com/dlundquist/sniproxy/archive/%{version}/%{name}-%{version}.tar.gz
Source1: 	sniproxy.conf
Source2: 	sniproxy.service
Source3: 	sniproxy.init
Source4:	sniproxy-tmpfiles.conf
Patch0: 	ports-tests-0.4.0.patch

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: curl
BuildRequires: systemd
# for macro definition:
BuildRequires: pkgconfig(systemd)

BuildRequires: pkgconfig(libev)
BuildRequires: pkgconfig(libpcre)
BuildRequires: perl
BuildRequires: udns-devel
# for lib-prefix.m4
BuildRequires: gettext-devel
# required for EL
BuildRequires: perl(Time::HiRes)

Requires(pre):    shadow-utils
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

%description
SNIproxy proxies incoming HTTP and TLS connections based on the host name 
contained in the initial request. This enables HTTPS name based virtual 
hosting to separate back-end servers without the installing the private
key on the proxy machine.


%prep
%setup -q

%autopatch -p1

%build
touch config.rpath
autoreconf -fvi
CFLAGS="${CFLAGS:-%optflags} -I/usr/include/libev" ; export CFLAGS ;
%configure --disable-dependency-tracking
%make_build

%install
%make_install
mkdir -p %{buildroot}%{_sysconfdir}
%{__install} -p -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_unitdir}
%{__install} -p -m 644 %{SOURCE2} %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_tmpfilesdir}
%{__install} -p -m 644 %{SOURCE4} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%check
#make check

%pre
getent group sniproxy &>/dev/null || groupadd -r sniproxy
getent passwd sniproxy &>/dev/null || \
    /usr/sbin/useradd -r -g sniproxy -s /sbin/nologin -c sniproxy \
    -d / sniproxy

%post
%_tmpfilescreate %{name}
%systemd_post sniproxy.service

%preun
%systemd_preun sniproxy.service

%postun
%systemd_postun sniproxy.service
# fix empty %%postun:
true

%files

%config(noreplace) %{_sysconfdir}/sniproxy.conf

%{_sbindir}/sniproxy
%doc COPYING README.md AUTHORS debian/changelog
%{_unitdir}/sniproxy.service
%{_mandir}/man5/sniproxy.conf.5.*
%{_mandir}/man8/sniproxy.8.*
%dir %ghost %attr(0755, sniproxy, sniproxy) %{_rundir}/%{name}
%ghost %attr(0660, -, -) %{_rundir}/%{name}/sniproxy.pid
%{_tmpfilesdir}/%{name}.conf


%changelog
* Sat Aug 22 2020 joequant <joequant> 0.6.0-3.mga8
+ Revision: 1617863
- fix gcc10 build

* Fri Feb 21 2020 umeabot <umeabot> 0.6.0-2.mga8
+ Revision: 1547763
- Mageia 8 Mass Rebuild
+ daviddavid <daviddavid>
- replace deprecated %%configure2_5x

* Sun Feb 09 2020 daviddavid <daviddavid> 0.6.0-1.mga8
+ Revision: 1488234
- new version: 0.6.0
- switch temporary dir from /var/run to /run/sniproxy
- make sure pid files and /run/sniproxy folder are removed when uninstalled
- package the tmpfiles conf file

* Thu Oct 04 2018 umeabot <umeabot> 0.4.0-5.mga7
+ Revision: 1317384
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sun Oct 16 2016 tv <tv> 0.4.0-3.mga6
+ Revision: 1061188
- "fix" empty %%postun
- BR systemd-devel for macro definition (mga#12027)

* Sat Mar 26 2016 dlucio <dlucio> 0.4.0-1.mga6
+ Revision: 995701
- more fixes
- group fixed
- configure to disable dependency tracking
- first mageia import
- imported package sniproxy

